View Issue Details

IDProjectCategoryView StatusLast Update
09752Bug reportsSurvey editingpublic2016-02-10 21:02
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynormalSeveritytweak 
Status closedResolutionfixed 
Fixed in Version2.50.x 
Summary09752: Sometimes it can be impossible to move a question after another one.
DescriptionReorder a question need to open complete survey ...
And move a question from end to start of survey can be very difficult (and more : sometimes an equation question type take whomle screen, then you can not move it ....
Additional InformationI think we need:
- Reorder question in group : like before
- Add position of question, like when wa add a new question.
TagsNo tags attached.
Complete LimeSurvey version number (& build)
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Relationships

related to 10363 new Feature requests Allow to move question inisde a group when editing it 
related to 10360 closedLouisGac Bug reports Need to re-design or add lightweight version of re-order questions/groups for huge surveys 

Activities

DenisChenu

DenisChenu

2015-07-04 16:07

developer  

moveunabled.png (132,019 bytes)
DenisChenu

DenisChenu

2015-07-04 16:10

developer   ~32618

Last edited: 2016-01-22 10:51

View 3 revisions

PS : before set something with javascript, assure we can use without javascript.
1 : This offer alternative solution if something is broken
2 : Update and fix js function is more easy.

PS2: unable to move question : move it to bug.

ollehar

ollehar

2016-02-09 13:54

administrator   ~34791

Last edited: 2016-02-09 13:59

View 2 revisions

Which version? Still a problem?

DenisChenu

DenisChenu

2016-02-09 14:15

developer   ~34793

I think , need to test
DenisChenu

DenisChenu

2016-02-09 14:52

developer   ~34796

Last edited: 2016-02-09 14:52

View 2 revisions

Still an issue, but
    max-height: 2em;
    overflow: hidden;

fix it.

But here : is a feature request to have :

Move questionnat another place in question editor.

DenisChenu

DenisChenu

2016-02-09 14:53

developer   ~34797

I take the bug, make another FR
DenisChenu

DenisChenu

2016-02-09 16:32

developer  

DenisChenu

DenisChenu

2016-02-09 16:33

developer   ~34804

Uploaded 2.50 screen
DenisChenu

DenisChenu

2016-02-09 16:50

developer  

DenisChenu

DenisChenu

2016-02-09 18:23

developer   ~34806

https://github.com/LimeSurvey/LimeSurvey/pull/435
DenisChenu

DenisChenu

2016-02-10 10:11

developer   ~34811

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=17256
c_schmitz

c_schmitz

2016-02-10 21:02

administrator   ~34845

2.5 Build 160210 released

Related Changesets

LimeSurvey: master 0824c48a

2016-02-09 17:17:35

DenisChenu

Details Diff
Fixed issue 09752: Sometimes it can be impossible to move a question after another one.
Dev: put max-height of the li
Dev: Put some basic style for organizer : no color : theme can do it
Dev: css transition for animate
Dev: hide button if not needed : did it break (more) big survey ?
Affected Issues
09752
mod - application/views/admin/survey/organizeGroupsAndQuestions_view.php Diff File
mod - scripts/admin/organize.js Diff File
add - styles/organize.css Diff File

Issue History

Date Modified Username Field Change
2015-07-04 16:03 DenisChenu New Issue
2015-07-04 16:03 DenisChenu Product Version => 2.06
2015-07-04 16:07 DenisChenu File Added: moveunabled.png
2015-07-04 16:08 DenisChenu Summary Ordering can be very difficult => Sometimes it can be impossible to move a question after another one.
2015-07-04 16:10 DenisChenu Note Added: 32618
2015-07-04 16:10 DenisChenu Project Feature requests => Bug reports
2015-07-04 16:11 DenisChenu Note Edited: 32618 View Revisions
2016-01-22 10:51 DenisChenu Note Edited: 32618 View Revisions
2016-02-09 13:54 ollehar Note Added: 34791
2016-02-09 13:59 ollehar Note Edited: 34791 View Revisions
2016-02-09 14:15 DenisChenu Note Added: 34793
2016-02-09 14:52 DenisChenu Note Added: 34796
2016-02-09 14:52 DenisChenu Note Edited: 34796 View Revisions
2016-02-09 14:53 DenisChenu Note Added: 34797
2016-02-09 14:53 DenisChenu Assigned To => DenisChenu
2016-02-09 14:53 DenisChenu Severity feature => tweak
2016-02-09 14:53 DenisChenu Status new => assigned
2016-02-09 14:53 DenisChenu Product Version 2.06 =>
2016-02-09 16:32 DenisChenu Relationship added related to 10360
2016-02-09 16:32 DenisChenu File Added: Capture du 2016-02-09 16-31-57.png
2016-02-09 16:33 DenisChenu Note Added: 34804
2016-02-09 16:40 DenisChenu Relationship added related to 10363
2016-02-09 16:50 DenisChenu File Added: Capture du 2016-02-09 16-50-19.png
2016-02-09 18:23 DenisChenu Note Added: 34806
2016-02-10 10:11 DenisChenu Changeset attached => LimeSurvey master 0824c48a
2016-02-10 10:11 DenisChenu Note Added: 34811
2016-02-10 10:11 DenisChenu Resolution open => fixed
2016-02-10 10:14 DenisChenu Status assigned => resolved
2016-02-10 10:14 DenisChenu Fixed in Version => 2.5
2016-02-10 21:02 c_schmitz Note Added: 34845
2016-02-10 21:02 c_schmitz Status resolved => closed
2019-11-01 17:25 c_schmitz Category Survey design => Survey editing